## PhoshConnectivityInfo

PhoshConnectivityInfo — A widget to display the connectivity status

## Functions

GtkWidget * | phosh_connectivity_info_new ()

## Properties

gboolean | connectivity | Read

## Types and Values

#define | PHOSH_TYPE_CONNECTIVITY_INFO
| PhoshConnectivityInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshConnectivityInfo

## Implemented Interfaces

PhoshConnectivityInfo implements AtkImplementorIface and GtkBuildable.

## Description

PhoshConnectivityInfo monitors the connectivity to the internet via NetworkManager and alerts the user about connectivity problems. Usually there's no point in showing the widget when “connectivity” it `TRUE` but it's up to the container to decide.

## Functions

### phosh_connectivity_info_new ()

    GtkWidget *
    phosh_connectivity_info_new (void);

## Types and Values

### PHOSH_TYPE_CONNECTIVITY_INFO

    #define PHOSH_TYPE_CONNECTIVITY_INFO (phosh_connectivity_info_get_type())

### PhoshConnectivityInfo

    typedef struct _PhoshConnectivityInfo PhoshConnectivityInfo;

## Property Details

### The `“connectivity”` property

      “connectivity”             gboolean

Whether full connectivity is present.

Owner: PhoshConnectivityInfo

Flags: Read

Default value: FALSE